Manuele fritzbox update

Hier kan je alles kwijt over EDPnet
Plaats reactie
kurt
Starter Plus
Starter Plus
Berichten: 28
Lid geworden op: 28 dec 2011, 08:58
Uitgedeelde bedankjes: 1 keer
Bedankt: 3 keer

Beste userbase-leden,

Alhoewel ik het vreemd zou vinden, vind ik precies geen concrete instructies terug voor het manueel updaten van een Fritz!Box. Omdat ik graag gebruik wil maken van een Wireguard VPN en mijn 7530 tot op 7.29 geüpdatet is, wens ik manueel een recentere versie te installeren.

Klopt het dat ik best hiervoor volgende stappen onderneem?
1. Via https://ftp.avm.de/ het manuele updatebestand downloaden. Hier zijn “belgium”, “deutschland” en “other” beschikbaar. Ik kies het updatebestand voor “other”.
2. De internetkabel loskoppelen om problemen met de lijn te vermijden?
3. Via de interface > DSL Information > Line Settings > ‘Use previous DSL version’ activeren.
4. De stappen via de interface > System > Update > FRITZ!OS File doorlopen om manueel te updaten.
5. Controleren of ‘Use previous DSL version’ nog actief staat? Zoja, opnieuw connecteren met internet.
6. Fingers crossed!

Alvast bedankt voor de feedback en mijn excuses moest het toch ergens in detail te vinden zijn.
Gebruikersavatar
on4bam
Elite Poster
Elite Poster
Berichten: 4690
Lid geworden op: 05 mei 2006, 16:05
Locatie: 127.0.0.1 of elders
Uitgedeelde bedankjes: 262 keer
Bedankt: 380 keer
Recent bedankt: 4 keer

Vooraleer je stap 1 uitvoert: backup maken van je settings!
System > backup > save settings
Bye, Maurice
https://on4bam.com
philippe_d
Moderator
Moderator
Berichten: 16990
Lid geworden op: 28 apr 2008, 11:22
Locatie: Waregem
Uitgedeelde bedankjes: 878 keer
Bedankt: 3175 keer
Recent bedankt: 28 keer

stap 3 ('Use previous DSL version’ activeren) is zinloos voor de update, want dit wordt bij de update terug gedeactiveerd.
stap 5 wordt dan: Via de interface > DSL Information > Line Settings > ‘Use previous DSL version’ activeren.
VoIP: WeePee (vaste nummers geporteerd), Sipgate.de, Sipgate.co.uk, MegaVoip (uitgaand België).
Provider: Proximus Fiber Essential (50/8 mbps down/up).
Modem/Router: Fritz!Box 7590 int, OS 07.50, aangesloten op Proximus ONT (VLAN20).
Telefoon centrale: Euracom 181 achter FritzBox So.
TV: Telenet CI+, Fritz!DVB-C.
kurt
Starter Plus
Starter Plus
Berichten: 28
Lid geworden op: 28 dec 2011, 08:58
Uitgedeelde bedankjes: 1 keer
Bedankt: 3 keer

Bedankt voor de snelle reacties!
Ik ga het er komend weekend waarschijnlijk maar eens op wagen.
on4bam schreef: 2 weken geleden Vooraleer je stap 1 uitvoert: backup maken van je settings!
System > backup > save settings
check!
philippe_d schreef: 2 weken geleden stap 3 ('Use previous DSL version’ activeren) is zinloos voor de update, want dit wordt bij de update terug gedeactiveerd.
stap 5 wordt dan: Via de interface > DSL Information > Line Settings > ‘Use previous DSL version’ activeren.
Deactivatie bij update, dus inderdaad nadien te checken. Ik blijf het een vaag begrip vinden. Is de "previous" versie dan steeds de versie van voor de update? Dus niet noodzakelijk van een eerdere firmware-versie?

Ik veronderstel dat het ook belangrijk is om "Auto Update > Level I: Notify about new FRITZ!OS versions" te controleren? De firmware is namelijk niet specifiek Belgisch ("other") en het moet dus voorkomen worden dat er een nieuwe versie geïnstalleerd zou worden zonder "previous DSL version" te controleren.
philippe_d
Moderator
Moderator
Berichten: 16990
Lid geworden op: 28 apr 2008, 11:22
Locatie: Waregem
Uitgedeelde bedankjes: 878 keer
Bedankt: 3175 keer
Recent bedankt: 28 keer

kurt schreef: 2 weken geleden Deactivatie bij update, dus inderdaad nadien te checken. Ik blijf het een vaag begrip vinden. Is de "previous" versie dan steeds de versie van voor de update? Dus niet noodzakelijk van een eerdere firmware-versie?
Previous version is niet noodzakelijk steeds de versie van voor de update.
Iedere nieuwe Firmware die AVM uitbrengt bevat 2 drivers:
  • een nieuwe driver (indien de driver aangepast wordt).
  • een oude driver, die bewezen heeft stabiel te zijn.
In tegenstelling tot wat sommigen hier denken, dat dit speciaal voor België gemaakt is.
Natuurlijk niet. In Duitslang draaien enkele miljoenen Fritz!Boxes, en ook in vele andere landen. Dit dus op héél veel verschillende DSLAM's van verschillende fabrikanten en firmware versies.
Gezien een nieuwe driver niet altijd beter is dan de oude (afhankelijk van de DSLAM) wordt de mogelijkheid geboden om terug te gaan naar een vroegere driver.

Dat kan toevallig een Proximus whitelisted driver zijn, maar niet noodzakelijk.
Dus altijd eerst checken welke drivers een nieuwe Firmware bevat voor je het risco neemt.
kurt schreef: 2 weken geleden Ik veronderstel dat het ook belangrijk is om "Auto Update > Level I: Notify about new FRITZ!OS versions" te controleren? De firmware is namelijk niet specifiek Belgisch ("other") en het moet dus voorkomen worden dat er een nieuwe versie geïnstalleerd zou worden zonder "previous DSL version" te controleren.
Deze instelling wordt ook soms overschreven na een update. Dus inderdaad belangrijk om een auto-update te vermijden (vooral als je Beta versies test).
Gezien jouw Fritz!Box ingesteld staat op "België" zal er normaal geen auto-update komen (zolang er geen nieuwe versie op de FTP map \belgium staat.
VoIP: WeePee (vaste nummers geporteerd), Sipgate.de, Sipgate.co.uk, MegaVoip (uitgaand België).
Provider: Proximus Fiber Essential (50/8 mbps down/up).
Modem/Router: Fritz!Box 7590 int, OS 07.50, aangesloten op Proximus ONT (VLAN20).
Telefoon centrale: Euracom 181 achter FritzBox So.
TV: Telenet CI+, Fritz!DVB-C.
kurt
Starter Plus
Starter Plus
Berichten: 28
Lid geworden op: 28 dec 2011, 08:58
Uitgedeelde bedankjes: 1 keer
Bedankt: 3 keer

Bedankt voor de heldere uitleg en de bijkomende aandachtspunten! Ik heb er in elk geval veel van geleerd 🙂
Plaats reactie

Terug naar “EDPnet (LaTribu)”